Skip to main content
POST
/
sites
/
environments
/
{target_env_id}
/
backups
/
restore
Restore a scheduled or manual or system generated backup to an environment
curl --request POST \
  --url https://api.kinsta.com/v2/sites/environments/{target_env_id}/backups/restore \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "backup_id": 123456789,
  "notified_user_id": "54fb80af-576c-4fdc-ba4f-b596c83f15a1"
}
'
{
  "message": "Restoring a backup to environment in progress",
  "status": 202,
  "operation_id": "backups:restore-54fb80af-576c-4fdc-ba4f-b596c83f15a1"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

target_env_id
string
required
Example:

"54fb80af-576c-4fdc-ba4f-b596c83f15a1"

Body

application/json
backup_id
number
required
Example:

123456789

notified_user_id
string<uuid>
required
Example:

"54fb80af-576c-4fdc-ba4f-b596c83f15a1"

Response

Restore backup to environment action started. Check MyKinsta for status

message
string
required
Example:

"Restoring a backup to environment in progress"

status
number
required
Example:

202

operation_id
string
Example:

"backups:restore-54fb80af-576c-4fdc-ba4f-b596c83f15a1"